| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Enumerations
- Enumerator
- Properties

- a
- c
- d
- e
- f
- i
- l
- m
- o
- p
- r
- s
- t
- u
- w

All Classes Functions Enumerations Enumerator Properties Groups Pages

### - a -

- absoluteFilePath() : Directory
- add() : AudioOutputCollection , ComboBoxItemCollection , SegmentCollection , ControlCollection , ComboBoxItemCollection , VideoFilterCollection , AudioOutputCollection
- appendVideo() : Editor

### - c -

- canReadLine() : File
- changeDirectory() : Directory
- changeDirectoryUp() : Directory
- CheckBoxControl() : CheckBoxControl
- cleanPath() : Directory
- clear() : ControlCollection , SegmentCollection , VideoFilterCollection , AudioOutputCollection , ComboBoxItemCollection
- clearMarkers() : Editor
- close() : File
- closeVideo() : Editor
- ComboBoxControl() : ComboBoxControl
- ComboBoxItem() : ComboBoxItem
- copy() : File

### - d -

- Dialog() : Dialog
- Directory() : Directory
- DoubleSpinBoxControl() : DoubleSpinBoxControl

### - e -

- entryInfoList() : Directory
- entryList() : Directory
- exists() : FileInformation , Directory , File

### - f -

- File() : File
- FileInformation() : FileInformation
- filePath() : Directory
- flush() : File
- fromNativeSeparators() : Directory

### - i -

- insert() : AudioOutputCollection , ComboBoxItemCollection , ControlCollection , ComboBoxItemCollection , VideoFilterCollection
- isAbsolute() : FileInformation
- isBundle() : FileInformation
- isDirectory() : FileInformation
- isExecutable() : FileInformation
- isFile() : FileInformation
- isHidden() : FileInformation
- isReadable() : FileInformation
- isRelative() : FileInformation
- isRoot() : FileInformation
- isSymLink() : FileInformation
- isVideoOpen() : Editor
- isWritable() : FileInformation

### - l -

- LineEditControl() : LineEditControl
- link() : File

### - m -

- makeAbsolute() : Directory , FileInformation
- makeDirectory() : Directory
- makePath() : Directory
- match() : Directory

### - o -

- open() : File
- openVideo() : Editor
- operator[]() : SegmentCollection , ControlCollection , ComboBoxItemCollection , AudioOutputCollection , VideoFilterCollection

### - p -

- peek() : File
- permission() : FileInformation

### - r -

- read() : File
- readAll() : File
- readLine() : File
- refresh() : Directory , FileInformation
- relativeFilePath() : Directory
- remove() : File , Directory
- removeAt() : AudioOutputCollection , ComboBoxItemCollection , ControlCollection , VideoFilterCollection
- removeDirectory() : Directory
- removePath() : Directory
- rename() : File , Directory
- reset() : File
- resetConfiguration() : VideoFilter , Muxer , VideoEncoder , VideoDecoder , AudioEncoder
- resize() : File

### - s -

- saveAudio() : Editor
- saveImage() : Editor
- saveVideo() : Editor
- seek() : File
- seekNextFrame() : Editor
- seekPreviousFrame() : Editor
- setMarkers() : Editor
- setPermissions() : File
- setTextModeEnabled() : File
- show() : Dialog
- SliderControl() : SliderControl
- SpinBoxControl() : SpinBoxControl
- symLinkTarget() : File

### - t -

- toNativeSeparators() : Directory

### - u -

- unsetError() : File

### - w -

- write() : File